(function(){
  const backgroundModule = chrome.extension.getBackgroundPage().backgroundModule;
  let currentTab;
  let pageDetails;
  let switchEl; 
  let inputEl; 
  let switchLabelEl;
  let linkContainerEl;

  function copyLink() {
    const el = document.querySelector('.InputBox__Input');
    el.focus();
    el.select();
    document.execCommand('copy');

    const copyEl = document.querySelector('.InputBox__CopyText');
    copyEl.innerHTML = 'Link copied.';
  }

  async function renderKeyboardShortcuts() {
    backgroundModule.getCommands((cmds) =>{
      const createHighlight = cmds.find(c => c.name === "create-highlight");
      const loadHighlights  = cmds.find(c => c.name === "load-assets");

      const commandsEl = document.querySelector('.Commands');
      const loadEl = document.createElement('li');
      loadEl.innerHTML = `Load highlights <span>${loadHighlights.shortcut || 'unassigned'}</span>`;
      
      const createEl = document.createElement('li');
      createEl.innerHTML = `Create a highlight <span>${loadHighlights.shortcut || 'unassigned'}</span>`;

      const manageEl = document.createElement('li');
      manageEl.innerHTML = `<span class="Commands__Manage Link--primary" data-external-url="chrome://extensions/shortcuts">Manage keyboard shortcuts</span>`;

      commandsEl.appendChild(loadEl);
      commandsEl.appendChild(createEl);
      commandsEl.appendChild(manageEl);
    });
  }

  document.addEventListener('DOMContentLoaded', async function(event) {
//     renderKeyboardShortcuts();
// 
//     switchEl = document.querySelector('.Switch');
//     inputEl = switchEl.querySelector('input');
//     switchLabelEl = document.querySelector('.Switch__Label');
//     currentTab = await backgroundModule.getCurrentTab();
// 
//     try {
//       const response = await backgroundModule.getPageDetails(currentTab.url);
//       const isSharingOn = response.pageDetails.shareableLinkUrl;
//       pageDetails = response.pageDetails;
// 
//       if (isSharingOn) {
//         renderOn(response.pageDetails.shareableLinkUrl);
//       }
//       else {
//         renderOff();
//       }
//     }
//     catch(e) {
//     }
  });

//   document.addEventListener('mouseup', async function(event){
// 
//     const isSharingTurnedOn = inputEl.checked;
// 
// 
//     if (event.target.classList.contains('InputBox__Copy')) {
//       copyLink();
//     }
// 
//     else if (/* OFF*/ switchEl.contains(event.target) && inputEl.checked) {
//       const response = await backgroundModule.unsharePageFromLink(currentTab.url);
//       renderOff();
//     }
// 
//     else if (/* ON */ switchEl.contains(event.target) && !inputEl.checked) {
//       const response = await backgroundModule.sharePageWithLink(currentTab.url);
//       console.log(response);
//       renderOn(response.sharePageWithLink.url);
//     }
// 
//   });  

})();
